Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.conn
Class DriverDataSource

    java.lang.Object
      org.apache.cayenne.conn.DriverDataSource

All Implemented Interfaces:
  DataSource

    public class DriverDataSource

extends Object
implements DataSource

A non-pooling DataSource implementation wrapping a JDBC driver.

Author:
  Andrus Adamchik

Field Summary
`protected String` | `connectionUrl`
`protected Driver` | `driver`
`protected ConnectionEventLoggingDelegate` | `logger`
`protected String` | `password`
`protected String` | `userName`

Constructor Summary
`DriverDataSource(Driver driver, String connectionUrl, String userName, String password)` Creates a new DriverDataSource wrapping a given Driver.
`DriverDataSource(String driverClassName, String connectionUrl)` Creates a new DriverDataSource.
`DriverDataSource(String driverClassName, String connectionUrl, String userName, String password)` Creates a new DriverDataSource.

Method Summary
`Connection` | `getConnection()` Returns a new database connection, using preconfigured data to locate the database and obtain a connection.
`Connection` | `getConnection(String userName, String password)` Returns a new database connection using provided credentials to login to the database.
`String` | `getConnectionUrl()`
`String` | `getDriverClassName()`
`ConnectionEventLoggingDelegate` | `getLogger()`
`int` | `getLoginTimeout()`
`PrintWriter` | `getLogWriter()`
`String` | `getPassword()`
`String` | `getUserName()`
`void` | `setConnectionUrl(String connectionUrl)`
`void` | `setDriverClassName(String driverClassName)`
`void` | `setLogger(ConnectionEventLoggingDelegate delegate)`
`void` | `setLoginTimeout(int seconds)`
`void` | `setLogWriter(PrintWriter out)`
`void` | `setPassword(String password)`
`void` | `setUserName(String userName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### driver

    protected Driver driver

### connectionUrl

    protected String connectionUrl

### userName

    protected String userName

### password

    protected String password

### logger

    protected ConnectionEventLoggingDelegate logger

Constructor Detail

### DriverDataSource

    public DriverDataSource(String driverClassName,
                            String connectionUrl)
                     throws SQLException

  Creates a new DriverDataSource. If "driverClassName" is null, DriverDataSource will consult DriverManager for a registered driver for the given URL. So when specifying null, a user must take care of registering the driver. "connectionUrl" on the other hand must NOT be null.

  Throws:
    `SQLException`

### DriverDataSource

    public DriverDataSource(String driverClassName,
                            String connectionUrl,
                            String userName,
                            String password)
                     throws SQLException

  Creates a new DriverDataSource. If "driverClassName" is null, DriverDataSource will consult DriverManager for a registered driver for the given URL. So when specifying null, a user must take care of registering the driver. "connectionUrl" on the other hand must NOT be null.

  Throws:
    `SQLException`
  Since:
    3.0

### DriverDataSource

    public DriverDataSource(Driver driver,
                            String connectionUrl,
                            String userName,
                            String password)

  Creates a new DriverDataSource wrapping a given Driver. If "driver" is null, DriverDataSource will consult DriverManager for a registered driver for the given URL. So when specifying null, a user must take care of registering the driver. "connectionUrl" on the other hand must NOT be null.

  Since:
    1.1

Method Detail

### getConnection

    public Connection getConnection()
                             throws SQLException

  Returns a new database connection, using preconfigured data to locate the database and obtain a connection.

  Specified by:
    `getConnection` in interface `DataSource`
  Throws:
    `SQLException`

### getConnection

    public Connection getConnection(String userName,
                                    String password)
                             throws SQLException

  Returns a new database connection using provided credentials to login to the database.

  Specified by:
    `getConnection` in interface `DataSource`
  Throws:
    `SQLException`

### getLoginTimeout

    public int getLoginTimeout()
                        throws SQLException

  Specified by:
    `getLoginTimeout` in interface `DataSource`
  Throws:
    `SQLException`

### setLoginTimeout

    public void setLoginTimeout(int seconds)
                         throws SQLException

  Specified by:
    `setLoginTimeout` in interface `DataSource`
  Throws:
    `SQLException`

### getLogWriter

    public PrintWriter getLogWriter()
                             throws SQLException

  Specified by:
    `getLogWriter` in interface `DataSource`
  Throws:
    `SQLException`

### setLogWriter

    public void setLogWriter(PrintWriter out)
                      throws SQLException

  Specified by:
    `setLogWriter` in interface `DataSource`
  Throws:
    `SQLException`

### getLogger

    public ConnectionEventLoggingDelegate getLogger()

### setLogger

    public void setLogger(ConnectionEventLoggingDelegate delegate)

### getConnectionUrl

    public String getConnectionUrl()

  Since:
    3.0

### setConnectionUrl

    public void setConnectionUrl(String connectionUrl)

  Since:
    3.0

### getPassword

    public String getPassword()

  Since:
    3.0

### setPassword

    public void setPassword(String password)

  Since:
    3.0

### getUserName

    public String getUserName()

  Since:
    3.0

### setUserName

    public void setUserName(String userName)

  Since:
    3.0

### getDriverClassName

    public String getDriverClassName()

### setDriverClassName

    public void setDriverClassName(String driverClassName)
                            throws SQLException

  Throws:
    `SQLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Apache Cayenne. All Rights Reserved.